Bug 763774 - (GLUSTER-2042) No volume log files found in the specified directory for the newly added bricks
No volume log files found in the specified directory for the newly added bricks
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.1.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Vijay Bellur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-29 05:17 EDT by Timothy Asir
Modified: 2010-12-23 07:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: ---
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy Asir 2010-10-29 05:17:44 EDT
Volume log file for the newly added brick is not available in the specified location. However, the log files appears once the volume is restarted.

Reproduce Scenario:
1. Create a volume with one brick
2. Set the volume log to a known directory
3. Start the volume
4. Expand the volume by adding one more brick
5. Set the volume log for this brick to the same directory
6. There is no log file found/created for the newly added brick in the specified path
Comment 1 Anand Avati 2010-10-30 21:23:21 EDT
PATCH: http://patches.gluster.com/patch/5606 in master (mgmt/glusterd: Honor log filename set during add-brick)

Note You need to log in before you can comment on or make changes to this bug.